4 Nov 2009 mcxalter 1.008, 09-308

1.
NAME
2.
SYNOPSIS
3.
DESCRIPTION
4.
OPTIONS
5.
AUTHOR
6.
SEE ALSO

## NAME

mcxalter — various network transformations

## SYNOPSIS

mcxalter [-imx <fname> (specify matrix input)] [-abc <fname> (specify label input)] [-tab <fname> (use tab file)] [-o <fname> (output)] [-ceil-nb n (reduce neighbourhoods)] [-knn-mutual n (keep mutually close neighbours)] [-tf spec (apply tf-spec to input matrix)]

## DESCRIPTION

This utility supplies various transformations of networks.

## OPTIONS

-abc <fname> (label input)

The file name for input that is in label format.

-imx <fname> (input matrix)

The file name for input that is in mcl native matrix format.

-tab <fname> (use tab file)

This option causes the output to be printed with the labels found in the tab file. With -abc this option will, additionally, construct a graph only on the labels found in the tab file. If this option is used in conjunction with -imx the tab domain and the matrix domain are required to be identical.

-tf <tf-spec> (transform input matrix values)

Transform the input matrix values according to the syntax described in mcxio.

-ceil-nb n (reduce neighbourhoods)

The nodes of the input graph are considered in descending order of the number of neighbours they posses. The first nodes has it neighbours of lowest edge weight removed until no more than N remain. The corresponding reciprocal edges from nodes further down the list are removed as well. Subsequent nodes are treated in the same way until all nodes in the graph have at most N neighbours. This may be considered a poor man's hub removal.

-knn-mutual <num> (keep mutually close neighbours)

This considers the <num> best neighbours for each node, then only keeps edges that occur in both best-neighbour lists for the two incident nodes.

-o fname (output file)

Output file.

## AUTHOR

Stijn van Dongen.

## SEE ALSO

mcxio, mcx, mcxsubs, and mclfamily for an overview of all the documentation and the utilities in the mcl family.